com.hazelcast.ringbuffer

## Class StaleSequenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.ringbuffer.StaleSequenceException

- All Implemented Interfaces:
    SilentException, Serializable

      public class StaleSequenceException
      extends RuntimeException
      implements SilentException

  An `RuntimeException` that is thrown when accessing an item in the `Ringbuffer` using a sequence that is smaller than the current head sequence and that the ringbuffer store is disabled. This means that the item isn't available in the ringbuffer and it cannot be loaded from the store either, thus being completely unavailable.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaleSequenceException(String message, long headSeq)` Creates a StaleSequenceException with the given message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getHeadSeq()` Returns the last known head sequence.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StaleSequenceException

          public StaleSequenceException(String message,
                                        long headSeq)

      Creates a StaleSequenceException with the given message.
      Parameters:
        `message` - the message
        `headSeq` - the last known head sequence.

  - ### Method Detail

    - #### getHeadSeq

          public long getHeadSeq()

      Returns the last known head sequence. Beware that this sequence could already be stale again if you want to use it to do a `Ringbuffer.readOne(long)`.
      Returns:
        last known head sequence.

Copyright © 2019. All rights reserved.